Subject: Re: [bug#40920] gnu: Add gtksu.
From: Maxim Cournoyer <[email-masked]>
To: Raghav Gururajan <[email-masked]>
Cc: [email-masked],宋文武 <[email-masked]>
Date: Sat, 30 May 2020 01:05:37 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Raghav Gururajan <[email-masked]> writes:

> Hi!
>
>> Hello, this patch looks good to me, but after install, it doesn't works..
>> 
>> I think gtksuwrap should be setup with 'setuid', and gtksu should look
>> it through PATH or under '/run/setuid-programs'.  Also this program
>> lookup executables in '_PATH_STDPATH' (and '_PATH_DEFPATH') from glibc's
>> 'shadow.h' and 'paths.h', they're defined as
>> '/usr/bin:/bin:/usr/sbin:/sbin' and '/usr/bin:/bin', so we'd better
>> modify 'paths.h' in glibc or modify gtksu to use a suitable 'PATH'.
>
> Sorry, I sent this patch by mistake. I was packaged ktsuss, which is now in
> master. :-)

Closing, then, by editing the debbugs email in my wide reply to
[email-masked] (hint: you can do it yourself next time :-)).

Maxim